<template>
    <div>
        <div v-for="type in viewTypes" class="form-check"
            :key=type.value>
            <input class="form-check-input" type="radio" name="viewTypeRadios" :id="`view-type-${type.value}`" :value="type" :checked="type == viewType"
                v-model="viewType"
                @change="this.$emit('update:viewType', this.viewType)">
            <label class="form-check-label" :for="`view-type-${type.value}`">
                {{type.name}}
            </label>
        </div>
    </div>
</template>

<script>
    import { viewTypes } from '@/services/values'

    export default {
        name: 'BudgetViewTypeSelector',
        props: {
            viewType: Object
        },
        emits: ['update:viewType'],
        data() {
            return {
                viewTypes: viewTypes
            }
        }
    }
</script>
